Genivia - params Struct Reference

|  | Home | Documentation | params Struct Reference updated Mon Apr 22 2024 by Robert van Engelen |

- Main Page
- Classes
- Files

- Class List
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
params Struct Reference

Represents the <params> of a <methodCall> request and response. More...

`#include <xml-rpc.h>`

Collaboration diagram for params:
[legend]

## Public Types
typedef params_iterator | iterator
typedef params_const_iterator | const_iterator

## Public Member Functions
| params ()
| params (struct soap *)
| params (struct soap *, int)
bool | empty () const
| true if no parameters More...
int | size () const
| number of parameters More...
struct value & | operator[] (int)
| parameter index (negative to get from end) More...
const struct value & | operator[] (int) const
| parameter index (negative to get from end) More...
params_iterator | begin () const
| parameter accessor iterator begin More...
params_iterator | end () const
| parameter accessor iterator end More...

## Public Attributes
int | __size
| number of parameters More...
struct param * | param
| pointer to array of parameters More...
struct soap * | soap
| ref to soap struct that manages this type More...

## Detailed Description

Represents the <params> of a <methodCall> request and response.

## Member Typedef Documentation

typedef params_const_iterator params::const_iterator

typedef params_iterator params::iterator

## Constructor & Destructor Documentation

params::params | ( |  | ) |

params::params | ( | struct soap * |  | ) |

params::params | ( | struct soap * | ,
|  | int |
| ) |  |

## Member Function Documentation

params_iterator params::begin | ( |  | ) | const

parameter accessor iterator begin

bool params::empty | ( |  | ) | const

true if no parameters

params_iterator params::end | ( |  | ) | const

parameter accessor iterator end

struct value& params::operator[] | ( | int |  | ) |

parameter index (negative to get from end)

const struct value& params::operator[] | ( | int |  | ) | const

parameter index (negative to get from end)

int params::size | ( |  | ) | const

number of parameters

## Member Data Documentation

int params::__size

number of parameters

struct param* params::param

pointer to array of parameters

struct soap* params::soap

ref to soap struct that manages this type

The documentation for this struct was generated from the following file:

- xml-rpc.h